aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pam-pgsql
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-07 14:54:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-07 14:54:40 +0000
commit4ecdb192f1a584b52f1faf41af335b7a3d819eca (patch)
tree479838c7320ea01f4754b31f1d9aeb7750e1c04d /testing/pam-pgsql
parent94e3c17e2b4c3b8de1e9484f47ba4706deb5028e (diff)
downloadaports-4ecdb192f1a584b52f1faf41af335b7a3d819eca.tar.gz
aports-4ecdb192f1a584b52f1faf41af335b7a3d819eca.tar.bz2
aports-4ecdb192f1a584b52f1faf41af335b7a3d819eca.tar.xz
testing/pam-pgsql: new aport
PAM module to authenticate using a PostgreSQL database http://sourceforge.net/projects/pam-pgsql/
Diffstat (limited to 'testing/pam-pgsql')
-rw-r--r--testing/pam-pgsql/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/pam-pgsql/APKBUILD b/testing/pam-pgsql/APKBUILD
new file mode 100644
index 0000000000..d52b2fca99
--- /dev/null
+++ b/testing/pam-pgsql/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pam-pgsql
+pkgver=0.7.3.1
+pkgrel=0
+pkgdesc="PAM module to authenticate using a PostgreSQL database"
+url="http://sourceforge.net/projects/pam-pgsql/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev linux-pam-dev postgresql-dev libgcrypt-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/pam-pgsql/pam-pgsql/0.7/pam-pgsql-$pkgver.tar.gz"
+
+_builddir="$srcdir"/pam-pgsql-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la "$pkgdir"/usr/lib/security/*.la \
+ || return 1
+}
+
+md5sums="16cb40a16ee1f286906a0d5a90254731 pam-pgsql-0.7.3.1.tar.gz"